Module tdlight.api
Package it.tdlight.jni

# Class TdApi.AnswerInlineQuery

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.AnswerInlineQuery

Enclosing class:
  TdApi

public static final class TdApi.AnswerInlineQuery extends TdApi.Function<TdApi.Ok>
Sets the result of an inline query; for bots only.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.InlineQueryResultsButton`
`button`
Button to be shown above inline query results; pass null if none.
`int`
`cacheTime`
Allowed time to cache the results of the query, in seconds.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`long`
`inlineQueryId`
Identifier of the inline query.
`boolean`
`isPersonal`
Pass true if results may be cached and returned only for the user that sent the query.
`String`
`nextOffset`
Offset for the next inline query; pass an empty string if there are no more results.
`TdApi.InputInlineQueryResult[]`
`results`
The results of the query.

## Constructor Summary

Constructors
Constructor
Description
`AnswerInlineQuery()`
Sets the result of an inline query; for bots only.
`AnswerInlineQuery(long inlineQueryId, boolean isPersonal, TdApi.InlineQueryResultsButton button, TdApi.InputInlineQueryResult[] results, int cacheTime, String nextOffset)`
Sets the result of an inline query; for bots only.
`AnswerInlineQuery(DataInput input)`
Sets the result of an inline query; for bots only.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### inlineQueryId

public long inlineQueryId
Identifier of the inline query.

### isPersonal

public boolean isPersonal
Pass true if results may be cached and returned only for the user that sent the query. By default, results may be returned to any user who sends the same query.

### button

public TdApi.InlineQueryResultsButton button
Button to be shown above inline query results; pass null if none.

### results

public TdApi.InputInlineQueryResult[] results
The results of the query.

### cacheTime

public int cacheTime
Allowed time to cache the results of the query, in seconds.

### nextOffset

public String nextOffset
Offset for the next inline query; pass an empty string if there are no more results.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### AnswerInlineQuery

public AnswerInlineQuery()
Sets the result of an inline query; for bots only.

Returns `Ok`

### AnswerInlineQuery

public AnswerInlineQuery(long inlineQueryId, boolean isPersonal, TdApi.InlineQueryResultsButton button, TdApi.InputInlineQueryResult[] results, int cacheTime, String nextOffset)
Sets the result of an inline query; for bots only.

Returns `Ok`

Parameters:
  `inlineQueryId` - Identifier of the inline query.
  `isPersonal` - Pass true if results may be cached and returned only for the user that sent the query. By default, results may be returned to any user who sends the same query.
  `button` - Button to be shown above inline query results; pass null if none.
  `results` - The results of the query.
  `cacheTime` - Allowed time to cache the results of the query, in seconds.
  `nextOffset` - Offset for the next inline query; pass an empty string if there are no more results.

  Returns `Ok`

### AnswerInlineQuery

public AnswerInlineQuery(DataInput input) throws IOException
Sets the result of an inline query; for bots only.

Returns `Ok`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`